Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
CreateManuallyManagedResourceType
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResourceType.CreateManuallyManagedResourceType(ctx, operations.C1APIAppV1AppResourceTypeServiceCreateManuallyManagedResourceTypeRequest{
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.CreateManuallyManagedResourceTypeResponse != nil {
        // handle response
    }
}
{
  "appResourceType": {
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "displayName": "<string>",
    "id": "<string>",
    "traitIds": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "expanded": [
    {
      "@type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app to create the resource type under.

Body

application/json

The request message for creating a manually managed resource type.

displayName
string
required

The display name for the new resource type.

resourceType
enum<string>
required

The category of the resource type (e.g., ROLE, GROUP, LICENSE).

Available options:
ROLE,
GROUP,
LICENSE,
PROJECT,
CATALOG,
CUSTOM,
VAULT,
PROFILE_TYPE

Response

200 - application/json

The response message for creating a manually managed resource type.

The response message for creating a manually managed resource type.

appResourceType
App Resource Type · object

The AppResourceType is referenced by an app entitlement defining its resource types. Commonly things like Group or Role.

expanded
object[] | null

List of serialized related objects.